# QSslKey Class Reference

### [com.trolltech.qt.network package]

### Constructor

- void QSslKey()
- void QSslKey(QIODevice device, KeyAlgorithm algorithm, EncodingFormat format, KeyType type, QByteArray passPhrase)
- void QSslKey(QByteArray encoded, KeyAlgorithm algorithm, EncodingFormat format, KeyType type, QByteArray passPhrase)
- void QSslKey(QSslKey other)

### Constructor Properties

- prototype: The QSslKey prototype object

### Prototype Object Properties

- KeyAlgorithm algorithm()
- void clear()
- Qt::HANDLE handle()
- bool isNull()
- int length()
- QSslKey operator_assign(QSslKey other)
- bool operator_equal(QSslKey key)
- QByteArray toDer(QByteArray passPhrase)
- QByteArray toPem(QByteArray passPhrase)
- KeyType type()

### Instance Properties

QSslKey objects have no special properties beyond those inherited from the QSslKey prototype object.